%define fname gal2
%define version 0.0.6
%define release alt1

Summary: Library for compound documents in GNOME
Name: lib%fname
Version: %version
Release: %release
License: GPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%fname-0/%fname-0-%version.tar.bz2
Url: http://www.gnome.org/

# Automatically added by buildreq on Thu Oct 03 2002
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel

%description
This the G App Libs for Gnome2 (GAL2).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME2 applications that might want to use these widgets.

%package devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: %name = %version

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%package devel-static
Summary: Static libraries for Gnome Application Library
Group: Development/C
Requires: %name = %version, %name-devel = %version

%description devel-static
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%prep
%setup -q -n %fname-0-%version

%build
%configure
#Non-SMP build
%make

%install
%makeinstall

%find_lang %fname

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %fname.lang
%doc AUTHORS COPYING README ChangeLog NEWS
%_libdir/*.so.*
%_datadir/gal-2-0/%version/glade/*.glade
%_datadir/gal-2-0/%version/pixmaps/categories/*.png

%files devel
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*
%_includedir/gal-2-0/gal/*
%_datadir/gal/html

%files devel-static
%_libdir/*.a

%changelog
* Thu Oct 03 2002 AEN <aen@altlinux.ru> 0.0.6-alt1
- first build for Sisyphus

